Last Comment Bug 790970 - Aggregated data for 2012-09-12 is missing (reports_clean not updated to the end of 2012-09-12)
: Aggregated data for 2012-09-12 is missing (reports_clean not updated to the e...
Status: RESOLVED FIXED
:
Product: Socorro
Classification: Server Software
Component: Database (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: [:jberkus] Josh Berkus
:
Mentors:
Depends on: 790996
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 07:58 PDT by Robert Kaiser (not working on stability any more)
Modified: 2012-09-24 08:52 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Robert Kaiser (not working on stability any more) 2012-09-13 07:58:30 PDT
Looks like we're missing aggregated data for yesterday on Socorro - did the mobeta push break running of daily crons or something?
Comment 1 Robert Helmer [:rhelmer] 2012-09-13 08:57:29 PDT
All the nightly jobs are complaining that reports_clean was not updated to the end of yesterday:

InternalError: Reports_clean has not been updated to the end of 2012-09-12

It looks like the reports_clean job has been running so not sure what's going on here.
Comment 2 Robert Helmer [:rhelmer] 2012-09-13 09:04:01 PDT
Filed bug 790970 to backfill yesterday - I don't see any reason it should not have worked, I am guessing it had something to do with the upgrade. 

Assigning to jberkus for investigation, although I'll keep looking.
Comment 3 [:jberkus] Josh Berkus 2012-09-13 09:54:46 PDT
We ran last night's upgrade pretty near midnight UTC.  I did a manual backfill of reports-clean to make sure it filled to the end of the day, but most likely I did my time calculations incorrectly.  If this problem does not recur tommorrow, that can be assumed to be the diagnosis.
Comment 4 Robert Kaiser (not working on stability any more) 2012-09-20 15:17:17 PDT
Rob, Josh, this is fixed with the bug 790996 backfill, right? Can we mark it so? ;-)

Note You need to log in before you can comment on or make changes to this bug.